### Method

# Qmi MessageWmsRawSendInput get_raw_message_data

since: 1.0

#### Declaration [src]

    gboolean
    qmi_message_wms_raw_send_input_get_raw_message_data (
      QmiMessageWmsRawSendInput* self,
      QmiWmsMessageFormat* value_raw_message_data_format,
      GArray** value_raw_message_data_raw_data,
      GError** error
    )

#### Description [src]

Get the ‘Raw Message Data’ field from `self`.

Available since: 1.0

#### Parameters

`value_raw_message_data_format`

  Type: `QmiWmsMessageFormat`

  A placeholder for the output `QmiWmsMessageFormat`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_raw_message_data_raw_data`

  Type: An array of `guint8`

  A placeholder for the output `GArray` of #guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.